Retrieve delete Account OTP

Retrieves the OTP for the specified Account to facilitate account deletion.

GET
/identity/v2/auth/account/otp

Retrieves the OTP for the specified Account to facilitate account deletion.

Authorization

APIKey BearerToken
apikey<token>

Tenant API Key for authentication

In: query

AuthorizationBearer <token>

Bearer token for user authentication

In: header

Query Parameters

access_token?string

Access Token of the User

smstemplate?string

SMS Template

isvoiceotp?boolean

Boolean flag to enforce sending SMS content via Voice.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/account/otp?access_token=493318dd-487a-439b-8302-5e27f1110244&smstemplate=SMS-Template&isvoiceotp=true"
{
  "IsPosted": true,
  "Data": {
    "AccountSid": "ACXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "Sid": "SMXXXXXXXXXXXXXXXX"
  }
}

{
  "Description": "Unable to retrieve token configuration for the specified app.",
  "ErrorCode": 2017,
  "Message": "Request is invalid"
}

{
  "errorCode": 1409,
  "message": "Authentication failed",
  "description": "The credentials provided could not be authenticated."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}